
      PROGRAM MainMenu

C     **************************************************************************
C      
C     This is the main program which shows the different options and calls the
C     corresponding subroutines.
C
C     **************************************************************************

      implicit none

      include 'DimArrays.inc'
      include 'comRead.inc'
      include 'comRainRun.inc'

      integer I,chkread,chkmet,npf,totKK,depo,depo1

      risp=0
      do while (risp.NE.5)
	   chkread=0
         chkmet=0
         write(*,*)
         write(*,*)
         write(*,*) 'MENU'
         write(*,*)
         write(*,*) '1 - DETERMINATION OF THE RIVER NETWORK'
         write(*,*)
         write(*,*) '2 - SINGLE EVENT SIMULATION'
         write(*,*)
         write(*,*) 'CONTINUOUS RAINFALL-RUNOFF SIMULATION'
         write(*,*) 
         write(*,*) '    3 -  manual calibration of the parameters'          
         write(*,*) '    4 -  automatic calibration of the parameters'     
         write(*,*)
         write(*,*) '5 - End'
1        write(*,*)
         write(*,*) 'Option - '
         write(*,*) 
         read(*,*) risp
         if ((risp.LT.1).OR.(risp.GT.5)) goto 1
         if (risp.EQ.1) then
C           determination of the river network
            call MOD1
         else
	      
            if (risp.NE.5) then
               call Read_param(chkread,chkmet,npf)
               if ((chkread.EQ.0).AND.(chkmet.LT.98)) then
                  if (DT.gt.StepPio) then
                     call Warn_error(1012)
                  else
                     depo=(StepPio/DT)*DT
                     depo1=StepPio-depo
                     if (depo1.NE.0) then
                        call Warn_error(1013)
                     else
                        if ((risp.EQ.2).OR.(risp.EQ.3)) then
C                          rainfall-runoff simulation of a single event or
C                          continuous simulation with manual calibration
                           call Manual_Calibration(totKK)
                           call Write_output(npf,totKK)
                        else
C                          continuous rainfall-runoff simulation with 
C                          automatic calibration of the parameters
                           call scemain
                        end if
                     end if
                  end if 
               end if
            end if 
         end if   
      end do

      stop
      end



